# Jdt

open class Jdt : PropertiesPersistableConfigurationObject

Represents the Eclipse JDT settings.

## Constructors

Jdt
Link copied to clipboard
constructor(transformer: PropertiesTransformer)

## Functions

load
Link copied to clipboard
open fun load(inputStream: InputStream)
loadDefaults
Link copied to clipboard
open fun loadDefaults()
setSourceCompatibility
Link copied to clipboard
open fun setSourceCompatibility(sourceCompatibility: JavaVersion)
Sets the source compatibility for the compiler.
setTargetCompatibility
Link copied to clipboard
open fun setTargetCompatibility(targetCompatibility: JavaVersion)
Sets the target compatibility for the compiler.
store
Link copied to clipboard
open fun store(outputStream: OutputStream)
transformAction
Link copied to clipboard
open fun transformAction(action: Closure)